[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.Create

Instantiate a new instance of TCustomIniFile.

## Declaration

Source position: inifiles.pp line 129

`public constructor TCustomIniFile.Create(`
`const AFileName: string;`
`AEscapeLineFeeds: Boolean = False`
`); virtual;`

## Arguments

`AFileName` |  | Filename to read
`AEscapeLineFeeds` |  | Should escaping of linefeeds be enabled ?

## Description

Create creates a new instance of TCustomIniFile and loads it with the data from AFileName, if this file exists. If the AEscapeLineFeeds parameter is True, then lines which have their end-of-line markers escaped with a backslash, will be concatenated. This means that the following 2 lines

    Description=This is a \
    line with a long text

is equivalent to

    Description=This is a line with a long text

By default, not escaping of linefeeds is performed (for Delphi compatibility)

## Errors

If the file cannot be read, an exception may be raised.

## See also

Destroy |  | Remove the TCustomIniFile instance from memory

Documentation generated on: Feb 26 2014